export LOG=$HOME/vl.log

notFound() 
{ echo `date`: VLAM installation could not be found >> $LOG
 exit 1
}

if [ -x /bin/sed ]
  then SED=/bin/sed
  elif [ -x /usr/bin/sed ]
   then SED=/usr/bin/sed
   else SED=sed
fi

ENV0=`export`
if [ -r .bashrc ]
    then source .bashrc
fi

if [ $VO_PVIER_SW_DIR ]
  then VLAM_INSTALL=$VO_PVIER_SW_DIR/wsvlam
fi

if [ -z $VLAM_INSTALL ]
  then if [ -r /etc/bashrc ]
        then source /etc/bashrc
       fi 
       if [-r /etc/bash.bashrc.local ]
        then source /etc/bash.bashrc.local
       fi
       module load wsvlam
fi

if [ $VLAM_INSTALL ]
  then VL_INSTALL=$VLAM_INSTALL
  eval "$ENV0"
  export VLAM_INSTALL=$VL_INSTALL
fi

if [ -z $VLAM_INSTALL ]; then notFound
fi

if [ -x $VLAM_INSTALL/etc/profile ]
  then $VLAM_INSTALL/etc/profile
  else notFound
fi
