
@echo off





rem -----------------------
rem Windows startup file
rem ----------------------

rem ==========================
rem set environmnent variables 
rem ==========================

echo =================================================  
echo INFO system config: HOME PATH %HOMEPATH%
echo INFO system config: HOME DRIVE %HOMEDRIVE%
echo INFO system config: USER NAME %USERNAME%
echo INFO system config: JAVA %QTJAVA%
echo =================================================

set MY_DOCUMENT=%HOMEDRIVE%%HOMEPATH%\My Documents
set GLOBUS_LOCATION=%MY_VLAM%composer\lib\auxTools\gt4


echo INFO wsvlam config: the wsvlam  %MY_VLAM%
echo INFO wsvlam config: My_DOCUMENT %MY_DOCUMENT%
echo INFO wsvlam config: GLOBUS_LOCATION %GLOBUS_LOCATION%

echo =================================================

rem ==========================
rem check java
rem ==========================
 
java -version 2>&1| find /i "1.6"  
IF ERRORLEVEL 1 (
echo ================================================================================
echo ERROR wsvlam: JAVA 1.6 not Installed
echo ERROR wsvlam: TO RUN WS-VLAM composer you need to install first java 1.6
echo ERROR wsvlam: visit the java web site: http://www.java.com/en/download/index.jsp
echo ================================================================================
@echo Exit...
@pause
exit
)

rem ==========================
rem configure your credentials
rem ==========================


IF EXIST "%MY_DOCUMENT%\.vlecomposer" (
  echo ========================================================
  echo INFO wslvam:ws-composer has been configured continue...
  echo ========================================================
) ELSE ( 
  echo ========================================================
  echo INFO wslvam:config Cog toolkit to use your credential...
  echo ========================================================
  cd %MY_VLAM%\composer\lib\auxTools\gt4\lib
  java -jar cog-jglobus.jar
  cd %MY_VLAM%
)


IF EXIST "%MY_VLAM%\modules" ( 
  echo ========================================================
  echo INFO wsvlam: find a modules directory in MY Documents ...
  echo ========================================================
) ELSE (  
  echo ========================================================
  echo INFO wsvlam: create a modules dir in MY Documents ...
  echo ========================================================
  mkdir modules
  mkdir modules\composite
)


rem ==========================
rem start Composer
rem ==========================

echo ========================================================
echo INFO wsvlam: start Now Composer...
echo ========================================================
cd %MY_VLAM%\composer\lib
java  -jar vleboot.jar


@echo Exit...
@pause


 


